using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Entity;
using BLL;

public partial class Tester_TestMarkedList : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (null != SessionClass.GetLoginUser())
            {
                List<TestMark> list = new BLLTestMark().GetMarkList(SessionClass.GetLoginUser().UserID);

                rptMarkList.DataSource = list;
                rptMarkList.DataBind();

                if (null != list)
                    lblCount.Text = list.Count.ToString();
            }
        }
    }
}
